Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.oslc4j.client
Class OslcRestClient

    java.lang.Object
      org.eclipse.lyo.oslc4j.client.OslcRestClient

    public final class OslcRestClient

extends Object

Field Summary
`static int` | `DEFAULT_READ_TIMEOUT`

Constructor Summary
`OslcRestClient(Set<Class<?>> providers, String uri)`
`OslcRestClient(Set<Class<?>> providers, String uri, int timeout)`
`OslcRestClient(Set<Class<?>> providers, String uri, String mediaType)`
`OslcRestClient(Set<Class<?>> providers, String uri, String mediaType, int readTimeout, org.apache.wink.client.handlers.ClientHandler... handlers)`
`OslcRestClient(Set<Class<?>> providers, URI uri)`
`OslcRestClient(Set<Class<?>> providers, URI uri, int timeout)`
`OslcRestClient(Set<Class<?>> providers, URI uri, String mediaType)`
`OslcRestClient(Set<Class<?>> providers, URI uri, String mediaType, int readTimeout)`

Method Summary
`
`<T> T`
` | `addOslcResource(T oslcResource)`
`org.apache.wink.client.ClientResponse` | `addOslcResourceReturnClientResponse(Object oslcResource)`
`org.apache.wink.client.Resource` | `getClientResource()`
`String` | `getMediaType()`
`
`<T> T`
` | `getOslcResource(Class<T> oslcResourceClass)`
`
`<T> T[]`
` | `getOslcResources(Class<T[]> oslcResourceArrayClass)`
`
`<T extends Collection<?>> T`
` | `getOslcResources(org.apache.wink.client.EntityType<T> entityType)`
`Set<Class<?>>` | `getProviders()`
`int` | `getReadTimeout()`
`String` | `getUri()`
`org.apache.wink.client.ClientResponse` | `removeOslcResourceReturnClientResponse()`
`org.apache.wink.client.ClientResponse` | `updateOslcResourceReturnClientResponse(Object oslcResource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_READ_TIMEOUT

    public static final int DEFAULT_READ_TIMEOUT

See Also:
  Constant Field Values

Constructor Detail

### OslcRestClient

    public OslcRestClient(Set<Class<?>> providers,
                          String uri,
                          String mediaType,
                          int readTimeout,
                          org.apache.wink.client.handlers.ClientHandler... handlers)

### OslcRestClient

    public OslcRestClient(Set<Class<?>> providers,
                          String uri,
                          String mediaType)

### OslcRestClient

    public OslcRestClient(Set<Class<?>> providers,
                          String uri,
                          int timeout)

### OslcRestClient

    public OslcRestClient(Set<Class<?>> providers,
                          String uri)

### OslcRestClient

    public OslcRestClient(Set<Class<?>> providers,
                          URI uri,
                          String mediaType,
                          int readTimeout)

### OslcRestClient

    public OslcRestClient(Set<Class<?>> providers,
                          URI uri,
                          String mediaType)

### OslcRestClient

    public OslcRestClient(Set<Class<?>> providers,
                          URI uri,
                          int timeout)

### OslcRestClient

    public OslcRestClient(Set<Class<?>> providers,
                          URI uri)

Method Detail

### getProviders

    public Set<Class<?>> getProviders()

### getMediaType

    public String getMediaType()

### getReadTimeout

    public int getReadTimeout()

### getUri

    public String getUri()

### getClientResource

    public org.apache.wink.client.Resource getClientResource()

### getOslcResource

    public <T> T getOslcResource(Class<T> oslcResourceClass)

### getOslcResources

    public <T> T[] getOslcResources(Class<T[]> oslcResourceArrayClass)

### getOslcResources

    public <T extends Collection<?>> T getOslcResources(org.apache.wink.client.EntityType<T> entityType)

### addOslcResource

    public <T> T addOslcResource(T oslcResource)

### addOslcResourceReturnClientResponse

    public org.apache.wink.client.ClientResponse addOslcResourceReturnClientResponse(Object oslcResource)

### updateOslcResourceReturnClientResponse

    public org.apache.wink.client.ClientResponse updateOslcResourceReturnClientResponse(Object oslcResource)

### removeOslcResourceReturnClientResponse

    public org.apache.wink.client.ClientResponse removeOslcResourceReturnClientResponse()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.